List customers
GET
/customers
const url = 'https://example.com/customers?includeArchived=true&limit=50&offset=0&sort=name&dir=asc&owing=true';const options = { method: 'GET', headers: {cookie: 'bottle.session_token=<bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/customers?includeArchived=true&limit=50&offset=0&sort=name&dir=asc&owing=true' \ --cookie bottle.session_token=<bottle.session_token>Returns the tenant’s customers, ordered by trading name. Archived customers are excluded unless includeArchived=true.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”q
Search trading name
string
Search trading name
includeArchived
string
limit
integer
offset
integer | null
sort
string
dir
string
owing
string
Responses
Section titled “Responses”Customers
Media typeapplication/json
object
items
required
Array<object>
object
id
required
UUID v7
string format: uuid
tradingName
required
string
kind
required
string
legalName
required
string | null
email
required
string | null format: email
phone
required
string | null
paymentTerms
required
string
paymentTermsDays
required
integer | null
billingAddressId
required
UUID v7
string | null format: uuid
hireBillingPeriod
required
string | null
hireBilledTo
required
string | null format: date
notes
required
string | null
archivedAt
required
string | null format: date-time
mergedIntoId
required
UUID v7
string | null format: uuid
legalHold
required
boolean
erasedAt
required
string | null format: date-time
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
owedPence
required
integer
overduePence
required
integer
total
required
integer
Example
{ "items": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "tradingName": "Camden Lock Grill", "kind": "commercial", "legalName": "Camden Lock Grill Ltd", "email": "orders@camdenlockgrill.co.uk", "phone": "07700 900123", "paymentTerms": "prepaid", "billingAddressId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "hireBillingPeriod": "weekly", "mergedIntoId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member of that tenant
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}